


#include <SPI.h>

long knock;
void setup() {
  Serial.begin(9600);

  // *******************************************SPI SETUP***********************************************
  SPI.begin();

  // initalize the  data ready and chip select pins:
  pinMode(51, OUTPUT);
  pinMode(50, INPUT);
  pinMode(4, OUTPUT);
  pinMode(49, OUTPUT);
  digitalWrite(49,HIGH);//place in standby
SPI.setBitOrder(MSBFIRST);
 
  SPI.setClockDivider(SPI_CLOCK_DIV8);
  SPI.setDataMode(SPI_MODE1);
   digitalWrite(49,LOW);
   Serial.println(SPI.transfer(B01110001));//set advanced mode returns 10001110 or 1492 
   digitalWrite(49,HIGH);
   delay(20);
   digitalWrite(49,LOW);
   Serial.println(SPI.transfer(B01000110)); //Oscilator frequency returns 649 - Returns D-7 to D0 of the digital integrator output.
   digitalWrite(49,HIGH);
   delay(20);
   digitalWrite(49,LOW);
   Serial.println(SPI.transfer(B11100000));//Set Channel to 1 Returns 2249 - Set the channel at 1 Returns D9 to D8 followed by six zeros
   digitalWrite(49,HIGH);
   delay(20);
   digitalWrite(49,LOW);
   Serial.println(SPI.transfer(B00010010));//Set the center band-pass freq 17 - 00000001
   digitalWrite(49,HIGH);
   delay(20);
   digitalWrite(49,LOW);
   Serial.println(SPI.transfer(B10100000));//set gain 11100000
   digitalWrite(49,HIGH);
   delay(20);
   digitalWrite(49,LOW);
   Serial.println(SPI.transfer(B11011111));//215

   digitalWrite(49,HIGH);
   Serial.println("*************");
  // give the sensor time to set up:
  delay(2000);
  //******************************************END SPI SETUP**************************************************************
}

void loop() {
   
  //*********************READ SPI DATA******************************************
  digitalWrite(49,LOW);
   knock = (SPI.transfer(B01000110)<<2); //Oscilator frequency returns 649 - Returns D-7 to D0 of the digital integrator output.
   digitalWrite(49,HIGH);
   delay(1);
   digitalWrite(49,LOW);
  knock= knock + (SPI.transfer(B11100000));//Set Channel to 1 Returns 2249 - Set the channel at 1 Returns D9 to D8 followed by six zeros
   digitalWrite(49,HIGH);
   delay(1);
   //digitalWrite(49,LOW);
   //Serial.println(SPI.transfer(B01110001));///set advanced mode returns 10001110 or 1492 
   //digitalWrite(49,HIGH);
   delay(1);
   
   //Serial.println(analogRead(0));
   Serial.println(knock);
   //*********************READ SPI DATA******************************************
   
   //*************************Start and stop window***************************************
   digitalWrite(4,HIGH);
   delay(6);
   digitalWrite(4,LOW);
   //*********************************END WINDOWING FUNCTION******************************
   
   
}

